body
{
    overflow: hidden;
    font-family: 'Roboto Condensed', sans-serif;
    background-image: url("https://crossfit1077.com.br/wp-content/uploads/2018/04/surface_background_dark_spots_35-300x1080.jpg");
}
#space
{
   
   position: fixed;
   font-size:20px;
   color:white;
  padding:10px;
  background-color: #0027C2;
  
}
#background
{
    background-image: url("https://cdn.discordapp.com/attachments/585888762681098270/604809384622686208/853424.png");
    width:1920px;
    height:1080px;
    position: absolute ;
    right:0px;
    bottom:0px;
    max-width:1920px;
    display: none;
}
#spinner
{
   position: absolute;
   width:1920px;
    height:1080px;
    right:0px;
    bottom:0px;
    background-image: url("https://cdn.discordapp.com/attachments/585888762681098270/604809384622686208/853424.png");
    
   z-index: 2;
}
.lds-facebook {
   display: inline-block;
   position: relative;
   width: 64px;
   height: 64px;
  
 }
 .lds-facebook div {
   display: inline-block;
   position: absolute;
   left: 6px;
   width: 13px;
   background: #fff;
   animation: lds-facebook 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
 }
 .lds-facebook div:nth-child(1) {
   left: 6px;
   animation-delay: -0.24s;
 }
 .lds-facebook div:nth-child(2) {
   left: 26px;
   animation-delay: -0.12s;
 }
 .lds-facebook div:nth-child(3) {
   left: 45px;
   animation-delay: 0;
 }
 @keyframes lds-facebook {
   0% {
     top: 6px;
     height: 51px;
   }
   50%, 100% {
     top: 19px;
     height: 26px;
   }
 }
 
#onLoad
{
   position: absolute;
   width:40%;
   height:50%;
   background: rgba(0, 0, 0, 0.5);
   left:30%;
   top:25%;
   box-shadow:0px 0px 10px black;

}
#spinner #text
{
color:white;
text-align: center;
margin-top:20%;

}


#spinner #text h1
{
color:white;

font-size: 50px;

}
#spinner #text2
{
color:white;

font-size: 20px;
margin-top:20px;
}
.container
{
    background-image: url("img/rain.png");
    width:1920px;
    height:1080px;
    position: absolute;
    right:0px;
    bottom:0px;
   

}
#title
{
    text-align: center;
    position: relative;
    top:15%;
    background-image: url("img/logo.png");
    width: 50%;
    height: 45%;
    left:25%;
    transition: all 1s ease;
 
}


#title:hover{
    
    transform: scale(1.05);
}
#content
{
    background-color: rgba(39, 38, 38, 0);
    position: absolute;
    width: 1000px;
    height:1080px;
    left:25%;

    z-index: 1;
}
#buttons
{   top:25%;
    width:800px;
    position: relative;
    left:8.5%;
    background-color: rgba(0, 0, 0, 0);
    max-height:180px;
  

}

.button
{
    float:left;
    width:180px;
  
    height:180px;
    margin-left:20px;
    text-align: center;
   
    border-radius: 20px;
    font-size: 28px;
    color:white;
    font-weight: 200;
    
    
}


.img
{   
    padding-top:20px;
    width:50%; 
    height: 50%;


}
.text
{
    padding-top:5px;

}



 #regu .bg
 {
    background-color: rgba(1, 160, 107, 0);
    height:100%;
   
    border-radius: 20px;
    border: 3px solid white;
    box-shadow: 0px -0px 20px black;
    transition: all 1s ease;

 }

 #regu .bg:hover{
    background: rgb(187, 106, 0);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(187, 106, 0);
    cursor: pointer;
 }
#dsc .bg
 {
    background-color: rgba(1, 160, 107, 0);
    height:100%;
   
    border-radius: 20px;
    border: 3px solid white;
    box-shadow: 0px -0px 20px black;
    transition: all 1s ease;

 }

 #dsc .bg:hover{
    background: rgb(0, 134, 187);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(0, 134, 187);
    cursor: pointer;
 }
#wl .bg
 {
    background-color: rgba(1, 160, 107, 0);
    height:100%;
   
    border-radius: 20px;
    border: 3px solid white;
    box-shadow: 0px -0px 20px black;
    transition: all 1s ease;

 }

#wl .bg:hover{
    background: rgb(64, 52, 233);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(64, 52, 233);
    cursor: pointer;
 }
#onas .bg
 {
    background-color: rgba(1, 160, 107, 0);
    height:100%;
   
    border-radius: 20px;
    border: 3px solid white;
    box-shadow: 0px -0px 20px black;
    transition: all 1s ease;

 }

#onas .bg:hover{
    background: rgb(187, 0, 0);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(187, 0, 0);
    cursor: pointer;
 }

 @keyframes pulse
 {
    0%{

        transform:scale(1.0);
   
    }
    50%{
        transform:scale(1.1);
    }
    100%{
        transform:scale(1.0);
    }
 }


 #regulamin
 {
     overflow: auto;
     overflow-x: hidden;
    display: none;
    color:white;
    position: absolute;
    text-align: center;
    z-index: 0;
    background-color: rgba(39, 38, 38, 0.5);
   width:900px;
   left:25%;
   height:900px;
   padding-top:10%;
   padding-left:50px;
   padding-right:50px;
   text-justify: auto;
   word-spacing: 2px;
   font-size:18px;
   text-shadow: 0px 0px 5px black;
   top: 0%;
 }

 
 .svg-wrapper {
    position: relative;
    top: 10%;
    transform: translateY(-50%);
        margin: 0 auto;
    width: 500px;  
  }
  .shape {
    stroke-dasharray: 280 1080;
    stroke-dashoffset: -670;
    stroke-width: 8px;
    fill: transparent;
    stroke: #00c964;
    border-bottom: 5px solid black;
    transition: stroke-width 1s, stroke-dashoffset 1s, stroke-dasharray 1s;
  }
  
  .text2 {
    font-family: 'Roboto Condensed';
    font-size: 22px;
    line-height: 32px;
    letter-spacing: 2px;
    color: #fff;
    top: -48px;
    position: relative;
    
  }
  .svg-wrapper:hover .shape {
    stroke-width: 2px;
    stroke-dashoffset: 0;
    stroke-dasharray: 1520;
  }

  #fstchl
  {
    position: absolute;
    top:0;
    top: 10%;
    left:25.5%;

  }

  .text4
  {
    
    margin-top:5%;

  }

  ::-webkit-scrollbar
{
	width: 0px;
	background-color: #F5F5F5;
}
.text4:last-child
{
    margin-bottom: 10%;


}
.exit .bg, #exit3 .bg
 {
    background-color: rgba(1, 160, 107, 0);
    height:100%;
   
    border-radius: 20px;
  
    transition: all 1s ease;

 }

 .exit .bg:hover {
    background: rgb(255, 0, 0);
    transform: scale(1.1);
    cursor: pointer;
   
 }
 
 #ems2 .exit, #lsc2 .exit,#lspd2 .exit, #whitelist .exit
 {
    position: fixed;
    left:70%;
    width:100px;
    height:100px;
 }
 #regulamin .exit
 {
   
       position: fixed;
       left:70%;
       width:100px;
       height:100px;
       top:5%;
    
 }
 #about .img2
 {
    width:50px;
       height:50px;

 }
#about .exit .bg
 {
    background-color: rgba(1, 160, 107, 0);
    height:100%;
   
    border-radius: 20px;
  
    transition: all 1s ease;

 }
 #about .exit
 {
   
       position: absolute;
       right:5%;
        width:50px;
       height:50px;
       top:13%;
       padding:0;

    
 }
 #about .exit .bg:hover {
    
    transform: scale(1.1);
    cursor: pointer;
   
 }
 


 
 .img2
{   
    padding-top:20px;
    width:60%; 
    height: 60%;


}
.selectList
{
    display:none;

}
iframe
{
    position: absolute;
   
    left:35%;
    top:5%;
}
.selectList .button2
 {
     border: 2px solid white;
     border-radius:20px;
    left:67%;
    top:88%;
    height:1080px;
 }
 .selectList .img2
 {
    margin-left:20px;
    overflow: auto;
    overflow-x:hidden; 

 }

 #wlSelect
 {
    position: absolute;
    left:30%;
    top:50%;
    display: none;
    text-shadow: 0px 0px 10px black;
    



 }

 #ems .bg, #lspd .bg, #lsc .bg, #wl2 .bg
 {
  
    background-color: rgba(77, 77, 77, 0.151);
    height:100%;
   
    border-radius: 20px;
    border: 3px solid white;
    box-shadow: 0px -0px 20px black;
    transition: all 1s ease;

 }

#wl2 .bg:hover{
    background: rgb(77, 77, 77);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(77, 77, 77);
 }

 #lspd .bg:hover{
    background: rgb(0, 81, 187);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(0, 81, 187);
 }
 #lsc .bg:hover{
    background:  rgb(187, 168, 0);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(187, 168, 0);
 }
 #ems .bg:hover{
    background: rgb(187, 4, 4);
    transform: scale(1.1);
    border-radius: 25px;
    border:3px solid rgb(187, 4, 4);
 }
 iframe::-webkit-scrollbar
 {
     width: 0px;
     background-color: #F5F5F5;
 }

 #wlSelect .exit .img{
    position: relative;
    padding: 0px;
    height:100px;
    width:100px;
 }

 #wlSelect .exit .bg
 {
     padding-top:0px;
   
    width:100px;
    height:100px;


 }

 #about
 {
    background-image: url("https://crossfit1077.com.br/wp-content/uploads/2018/04/surface_background_dark_spots_35-300x1080.jpg");
    display: none;
    width:300px;
    height:100%;
    position: absolute;
    right:-300px;
    background-color: rgba(87, 87, 87, 0.397);
  

 }

 #aboutText
 {
    text-shadow: 0px 0px 10px black;
    color:white;
    text-align: center;
    position: absolute;
    bottom:30%;  
    padding:10px;
   font-size: 20px;
   
 }
 h1
 {
    text-shadow: 0px 0px 10px black;
     margin:auto;
    text-align: center;
    color:white;
    position: relative;
    top:38%;
    font-weight: 500;
    color:rgb(3, 180, 127);

 }
#contact h1
{
    text-shadow: 0px 0px 10px black;
    margin:auto;
   text-align: center;
   color:white;
   position: absolute;
   top:80%;
   font-weight: 500;
   left:38%;
   color:rgb(3, 180, 127);

}
#contact a
{
    position: absolute;
    bottom:10%;
    left:20%;
    color:white;
    font-size: 20px;
    text-shadow: 0px 0px 10px black;
    text-decoration: none;
}
#contact a:hover
{
    cursor: none;

}

 

 footer
 {
   position: absolute;
   
   bottom:1%;
   left:30%;
   text-align: center;
   color:white;
   opacity: 0.4;

 }
.wrapper {
    width:100vw;
    height:100vh;
    background: radial-gradient(farthest-corner at 30vw 20vh,#7397a1 1%,#3f2c41 100%);
}
$s1:"";
$s2:"";
$s3:"";
@for $i from 1 through 400 {
    $s1: $s1 + random(1000)*0.1vw + " " + random(1000)*0.1vh + " " + 0 + " " + random(50)*-0.01rem + #fff;
    $s2: $s2 + random(1000)*0.1vw + " " + random(1000)*0.1vh + " " + 0 + " " + random(50)*-0.01rem + #fff;
    $s3: $s3 + random(1000)*0.1vw + " " + random(1000)*0.1vh + " " + 0 + " " + random(50)*-0.01rem + #fff;
    @if $i < 400 {
        $s1: $s1 + ",";
        $s2: $s2 + ",";
        $s3: $s3 + ",";
    }
}
.snow {
    border-radius: 50%;
    opacity: 0.8;
    position: absolute;
    top:-100vh;
    animation-name: fall;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}
.layer1 {
    width: 1.5rem;
    height: 1.5rem;
    filter:blur(1.5px);
    box-shadow: #{$s1};
    animation-duration: 6s;
}
.layer1.a {
    animation-delay: -3s;
}
.layer2 {
    width: 1.2rem;
    height: 1.2rem;
    filter:blur(3px);
    box-shadow: #{$s2};
    animation-duration: 8s;
}
.layer2.a {
    animation-delay: -4s;
}
.layer3 {
    width: 0.8rem;
    height: 0.8rem;
    filter:blur(6px);
    box-shadow: #{$s3};
    animation-duration: 10s;
}
.layer3.a {
    animation-delay: -5s;
}
@keyframes fall {
    100% {transform: translateY(200vh); }
}

